Page MenuHomePhabricator

config: add `--shared` flag to edit config file of shared source
ClosedPublic

Authored by pulkit on Jun 25 2020, 4:53 AM.

Details

Summary

With format.exp-share-safe enabled, we now read the .hg/hgrc of the shared
source also.
This patch adds --shared flag to hg config command which can be used to edit
that shared source config file. It only works if the repository is shared one
and is shared using the safe method.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

pulkit created this revision.Jun 25 2020, 4:53 AM
pulkit updated this revision to Diff 21744.Jul 1 2020, 6:01 AM
pulkit updated this revision to Diff 21753.Jul 2 2020, 7:17 AM
marmoute accepted this revision.Jul 15 2020, 2:11 PM
pulkit retitled this revision from config: add `--share` flag to edit config file of shared source to config: add `--shared` flag to edit config file of shared source.
pulkit edited the summary of this revision. (Show Details)
pulkit updated this revision to Diff 21978.
pulkit updated this revision to Diff 22383.Aug 10 2020, 11:28 AM
pulkit updated this revision to Diff 22445.Aug 25 2020, 7:39 AM
pulkit updated this revision to Diff 22656.Sep 16 2020, 7:56 AM
indygreg accepted this revision.Sep 17 2020, 9:38 PM
indygreg added a subscriber: indygreg.

I may tweak the language of the user-facing messages in flight to make them slightly more readable.

This revision is now accepted and ready to land.Sep 17 2020, 9:38 PM